Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.widget
Class WidgetHandle

    java.lang.Object
      |
      +--context.arch.widget.WidgetHandle

public class WidgetHandle
extends java.lang.Object

This class implements a widget handler object, encapsulating the information needed to subscribe to a widget.

See Also:
  `WidgetHandles`

Constructor Summary
`WidgetHandle(java.lang.String id, java.lang.String hostname, int port)` Basic constructor that creates a WidgetHandle object.
`WidgetHandle(java.lang.String id, java.lang.String hostname, java.lang.String port)` Basic constructor that creates a WidgetHandle object.

Method Summary
`java.lang.String` | `getHostName()` Returns the name of the subscriber's host computer
`java.lang.String` | `getId()` Returns the id of the subscriber
`int` | `getPort()` Returns the port number to send info to
`void` | `setHostName(java.lang.String hostname)` Sets the name of the subscriber's host computer
`void` | `setId(java.lang.String id)` Sets the id of the subscriber
`void` | `setPort(int port)` Sets the port number to send info to
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WidgetHandle

    public WidgetHandle(java.lang.String id,
                        java.lang.String hostname,
                        int port)

  Basic constructor that creates a WidgetHandle object.
  Parameters:
    `id` - ID of the widget being subscribed to
    `hostname` - Name of the widget's host computer
    `port` - Port number of the widget

### WidgetHandle

    public WidgetHandle(java.lang.String id,
                        java.lang.String hostname,
                        java.lang.String port)

  Basic constructor that creates a WidgetHandle object.
  Parameters:
    `id` - ID of the widget being subscribed to
    `hostname` - Name of the widget's host computer
    `port` - Port number of the widget

Method Detail

### getId

    public java.lang.String getId()

  Returns the id of the subscriber
  Returns:
    the subscriber id

### setId

    public void setId(java.lang.String id)

  Sets the id of the subscriber
  Parameters:
    `id` - ID of the subscriber

### getHostName

    public java.lang.String getHostName()

  Returns the name of the subscriber's host computer
  Returns:
    the host name of the subscriber

### setHostName

    public void setHostName(java.lang.String hostname)

  Sets the name of the subscriber's host computer
  Parameters:
    `hostname` - Name of the subscriber's host computer

### getPort

    public int getPort()

  Returns the port number to send info to
  Returns:
    the port number of the subscriber

### setPort

    public void setPort(int port)

  Sets the port number to send info to
  Parameters:
    `port` - Port number to send information to

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD